Crazy Eddies GUI System: CEGUI::TextComponent Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::TextComponent Class Reference

Class that encapsulates information for a text component. More...

Inheritance diagram for CEGUI::TextComponent:

[legend]
Collaboration diagram for CEGUI::TextComponent:

[legend]
List of all members.

## Public Member Functions
| TextComponent ()
| Constructor.
const String & | getText () const
| Return the text object that will be rendered by this TextComponent.
void | setText (const String &text)
| Set the text that will be rendered by this TextComponent.
const String & | getFont () const
| Return the name of the font to be used when rendering this TextComponent.
void | setFont (const String &font)
| Set the name of the font to be used when rendering this TextComponent.
VerticalTextFormatting | getVerticalFormatting () const
| Return the current vertical formatting setting for this TextComponent.
void | setVerticalFormatting (VerticalTextFormatting fmt)
| Set the vertical formatting setting for this TextComponent.
HorizontalTextFormatting | getHorizontalFormatting () const
| Return the current horizontal formatting setting for this TextComponent.
void | setHorizontalFormatting (HorizontalTextFormatting fmt)
| Set the horizontal formatting setting for this TextComponent.
void | writeXMLToStream (OutStream &out_stream) const
| Writes an xml representation of this TextComponent to out_stream.
## Protected Member Functions
void | render_impl (Window &srcWindow, Rect &destRect, float base_z, const CEGUI::ColourRect *modColours, const Rect *clipper, bool clipToDisplay) const
| Method to do main render caching work.

## Detailed Description

Class that encapsulates information for a text component.

## Member Function Documentation

const String & CEGUI::TextComponent::getFont | ( |  | ) | const

| Return the name of the font to be used when rendering this TextComponent. Returns: String object containing the name of a font, or "" if the window font is to be used.

HorizontalTextFormatting CEGUI::TextComponent::getHorizontalFormatting | ( |  | ) | const

| Return the current horizontal formatting setting for this TextComponent. Returns: One of the HorizontalTextFormatting enumerated values.

const String & CEGUI::TextComponent::getText | ( |  | ) | const

| Return the text object that will be rendered by this TextComponent. Returns: String object containing the text that will be rendered.

VerticalTextFormatting CEGUI::TextComponent::getVerticalFormatting | ( |  | ) | const

| Return the current vertical formatting setting for this TextComponent. Returns: One of the VerticalTextFormatting enumerated values.

void CEGUI::TextComponent::setFont | ( | const String & | font | ) |

  | Set the name of the font to be used when rendering this TextComponent. Note that setting this to the empty string ("") will cause the font from the base window passed when rendering to be used instead. Parameters:
  | font | String containing name of a font
Returns: Nothing.

void CEGUI::TextComponent::setHorizontalFormatting | ( | HorizontalTextFormatting | fmt | ) |

  | Set the horizontal formatting setting for this TextComponent. Parameters:
  | fmt | One of the HorizontalTextFormatting enumerated values.
Returns: Nothing.

void CEGUI::TextComponent::setText | ( | const String & | text | ) |

  | Set the text that will be rendered by this TextComponent. Note that setting this to the empty string ("") will cause the text from the base window passed when rendering to be used instead. Parameters:
  | text | String containing text to render, or "" to render text from window.
Returns: Nothing.

void CEGUI::TextComponent::setVerticalFormatting | ( | VerticalTextFormatting | fmt | ) |

  | Set the vertical formatting setting for this TextComponent. Parameters:
  | fmt | One of the VerticalTextFormatting enumerated values.
Returns: Nothing.

void CEGUI::TextComponent::writeXMLToStream | ( | OutStream & | out_stream | ) | const

  | Writes an xml representation of this TextComponent to out_stream. Parameters:
  | out_stream | Stream where xml data should be output.
Returns: Nothing.